Subject: Re: Yamamoto's Betty
From: "Steve Bamford ARC" <[email-masked]>
To: <[email-masked]>
Date: Mon, 16 Jun 2003 18:31:53 -0700

----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, May 14, 2003 11:44 AM
Subject: Yamamoto's Betty

> Steve,
>        Hope you're feeling better today. I built Tamiya's 1/48 scale G4M1.
> What a terrific model. A very good friend of mine was born on the exact
day
> and year Yamamoto was shot down by the USAAF over Bougenville. I built
this
> kit for his 60th Birthday. Needless to say he was very pleased. It took me
a
> while to get the kit going and to print the article for your site. I hope
> that you and the viewers like the step-by-step process and the final
product.
>                                                        Bobby McElroy
>